<?php
/*
*----------------------------phpMyBitTorrent V 2.0-beta4-----------------------*
*--- The Ultimate BitTorrent Tracker and BMS (Bittorrent Management System) ---*
*--------------   Created By Antonio Anzivino (aka DJ Echelon)   --------------*
*-------------               http://www.p2pmania.it               -------------*
*------------ Based on the Bit Torrent Protocol made by Bram Cohen ------------*
*-------------              http://www.bittorrent.com             -------------*
*------------------------------------------------------------------------------*
*------------------------------------------------------------------------------*
*--   This program is free software; you can redistribute it and/or modify   --*
*--   it under the terms of the GNU General Public License as published by   --*
*--   the Free Software Foundation; either version 2 of the License, or      --*
*--   (at your option) any later version.                                    --*
*--                                                                          --*
*--   This program is distributed in the hope that it will be useful,        --*
*--   but WITHOUT ANY WARRANTY; without even the implied warranty of         --*
*--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          --*
*--   GNU General Public License for more details.                           --*
*--                                                                          --*
*--   You should have received a copy of the GNU General Public License      --*
*--   along with this program; if not, write to the Free Software            --*
*-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA --*
*--                                                                          --*
*------------------------------------------------------------------------------*
*------              2005 phpMyBitTorrent Development Team              ------*
*-----------               http://phpmybittorrent.com               -----------*
*------------------------------------------------------------------------------*
*/

include("header.php");
////////////////////////////MOD ARCADE/////////////////////
function get_date_time($timestamp = 0)
{
if ($timestamp)
return date("Y-m-d H:i:s", $timestamp);
else
  $idcookie = $_COOKIE['uid'];
  return gmdate("Y-m-d H:i:s", time());
}
$player = getuserid($btuser);
if($_GET["act"]=="Arcade")
{
  if($_POST['gname'] == "asteroids")
  {
 $game = 1;
 $level = 1;
 $score = $_POST['score'];
  }
  if($_POST['gname'] == "breakout")
  {
 $game = 2;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "hexxagon")
  {
 $game = 3;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "invaders")
  {
 $game = 4;
 $level = 1;
 $score = $_POST['score'];
  }
  if($_POST['gname'] == "moonlander")
  {
 $game = 5;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "pacman")
  {
 $game = 6;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "psol")
  {
 $game = 7;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "simon")
  {
 $game = 8;
 $level = 1;
 $score = $_POST['gscore'];
  }
  if($_POST['gname'] == "snake")
  {
 $game = 9;
 if($_POST['levelName'] == "LEVEL: SLUG")
 {
   $level = 1;
 }
 if($_POST['levelName'] == "LEVEL: WORM")
 {
   $level = 2;
 }
 if($_POST['levelName'] == "LEVEL: PYTHON")
 {
   $level = 3;
 }
 $score = $_POST['score'];
  }
  if($_POST['gname'] == "tetris")
  {
 $game = 10;
 $level = $_POST['level'];
 $score = $_POST['gscore'];
  }
$db->sql_query("INSERT INTO `".$db_prefix."_flashscores` ( `ID` , `game` , `user` , `level` , `score`, `date`) VALUES ( '', '".$game."', '".$player."', '".$level."', '".$score."', '" . get_date_time() . "');") OR DIE(MySQL_ERROR());
$urlc="flashscores.php";
 print("<html><head><meta http-equiv=refresh content='0;url=$urlc'></head></html>\n");
 die;
 
}
if ($has_newpm) {
        OpenTable2(_btpm);
        echo "<h3>"._btyougotpm."</h3>";
        CloseTable2();
}
if ($user->user ) {
include ("torrents-needseed.php");
}
if ($user->user AND $user->can_shout =="true")
{
include ("blocks/shoutbox.php");
}

if ($welcome_message != ""){
OpenTable(_btsitenews, '726');
$welcome_message = format_comment($welcome_message);
parse_smiles($welcome_message);
echo "<table width=\"100%\"><tr><td>".$welcome_message."</td></tr></table>";
CloseTable();
}
echo "<a name=\"infotracker\"></a>";
OpenTable(_btinfotracker, '728');

$sql = "SELECT O.id AS id, O.page AS page, UNIX_TIMESTAMP(O.logged_in) AS logged_in, IF(U.name IS NULL, U.username, U.name) as name, U.warned AS warned, U.level AS level, U.Show_online AS Show_online, U.uploaded as uploaded, U.downloaded AS downloaded FROM ".$db_prefix."_online_users O LEFT JOIN ".$db_prefix."_users U ON O.id = U.id WHERE UNIX_TIMESTAMP(NOW()-last_action) < 600 AND U.Show_online = true;";
$res = $db->sql_query($sql);
$tot = $db->sql_numrows($res);
$i = 1;
$simple = "\n<p>";
$advanced = "<table border=\"1\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
$advanced .= "<tr>\n"
."<td>\n"
."<p align=\"center\"><strong>"._btusername."</strong></p>\n"
."</td>\n"
."<td>\n"
."<p align=\"center\"><strong>"._btratio."</strong></p>\n"
."</td>\n"
."<td>\n"
."<p align=\"center\"><strong>"._btpagename."</strong></p>\n"
."</td>\n"
."<td>\n"
."<p align=\"center\"><strong>"._btloggedinfor."</strong></p>\n"
."</td>\n"
."</tr>\n";
if ($db->sql_numrows($res) == 0) $simple .= _btnouseronline."</p>";
else {
$simple .= "</p>";
$advanced .="\n";
        while ($row = $db->sql_fetchrow($res)) {

                $simple .= "<a href=\"user.php?op=profile&amp;id=".$row["id"]."\">";
                $simple .= htmlspecialchars($row["name"])."</a>";
                if ($row["level"] == "premium") $simple .= pic("icon_premium.gif",'','Premium');
                elseif ($row["level"] == "uploader") $simple .= pic("icon_uploader.gif",'','Uploader');
                elseif ($row["level"] == "moderator") $simple .= pic("icon_moderator.gif",'','Moderator');
                elseif ($row["level"] == "admin") $simple .= pic("icon_admin.gif",'','Admin');
		        if($row["warned"] == "1") $simple .= '<img src="images/warning.gif" alt="warned" />';
				$semple .="\n";
                if ($i < $tot) $simple .= ", ";
                $i++;

                $advanced .= "<tr>";
                $advanced .= "<td><p><a href=\"user.php?op=profile&amp;id=".$row["id"]."\">";
                $advanced .= htmlspecialchars($row["name"])."</a>";
                if ($row["level"] == "premium") $advanced .= pic("icon_premium.gif",'','holder');
                elseif ($row["level"] == "moderator") $advanced .= pic("icon_moderator.gif",'','holder');
                elseif ($row["level"] == "admin") $advanced .= pic("icon_admin.gif",'','holder');
		        if($row["warned"] == "1") $advanced .= '<img src="images/warning.gif" alt="warned" />';
                $advanced .= "</p></td>\n";

                if ($row["uploaded"] == 0 AND $row["downloaded"] == 0) $ratio = "---";
                elseif ($row["downloaded"] == 0) $ratio = "&infin;";
                else {
                        $ratio = $row["uploaded"]/$row["downloaded"];

                        if ($ratio < 0.1) $ratio = "<font color=\"#ff0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.2) $ratio = "<font color=\"#ee0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.3) $ratio = "<font color=\"#dd0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.4) $ratio = "<font color=\"#cc0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.5) $ratio = "<font color=\"#bb0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.6) $ratio = "<font color=\"#aa0000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.7) $ratio = "<font color=\"#990000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.8) $ratio = "<font color=\"#880000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 0.9) $ratio = "<font color=\"#770000\">" . number_format($ratio, 2) . "</font>";
                        elseif ($ratio < 1)   $ratio = "<font color=\"#660000\">" . number_format($ratio, 2) . "</font>";
                        else $ratio = "<font color=\"#00FF00\">".  number_format($ratio, 2) . "</font>";
                }
                $advanced .= "<td><p>".$ratio."</p></td>";
                $advanced .= "<td><p>";
                if (defined("_btpage_".$row["page"])) $advanced .= constant("_btpage_".$row["page"]);
                $advanced .= "</p></td>";
                $advanced .= "<td><p>".mkprettytime(time()-$row["logged_in"])."</p></td>";
                $advanced .= "</tr>\n";	
        }
	$simple .="<br /><br /><p>Legend: Admin <img src=\"themes/".$theme."/pics/icon_admin.gif\" alt=\"holder\" />, Moderator<img src=\"themes/".$theme."/pics/icon_moderator.gif\" alt=\"holder\" />, Premium<img src=\"themes/".$theme."/pics/icon_premium.gif\" alt=\"holder\" /> </p><div style='font-size: 8pt;' align=\"center\"><a href=\"javascript:advanced();\">"._btadvancedmode."</a></div>";
        $simple .= "";
$advanced .= "\n";
}
$advanced .= "</table>\n";
$db->sql_freeresult($res);

//Simple mode
echo "<div id=\"users_simple\" class=\"show\">\n";
echo $simple;
echo "</div>\n";

//Advanced mode
echo "<div id=\"users_advanced\" class=\"hide\">\n";
echo $advanced;
echo "<br /><p>Legend: Admin <img src=\"themes/".$theme."/pics/icon_admin.gif\" alt=\"holder\" />, Moderator<img src=\"themes/".$theme."/pics/icon_moderator.gif\" alt=\"holder\" />, Premium<img src=\"themes/".$theme."/pics/icon_premium.gif\" alt=\"holder\" /> </p><div style='font-size: 8pt;' align=\"center\"><a href=\"javascript:simple();\">"._btsimplemode."</a></div>";
echo "</div>";

CloseTable();
if ($btuser) include("poll.php");
if($search_cloud)include('blocks/searchcloud.php');

include("footer.php");
?>
